# Filter provides from plugins.
%if 0%{?fedora} || 0%{?rhel} >= 7
%global __provides_exclude_from ^%{_libdir}/.*$
%else
%filter_provides_in %{_libdir}/.*\.so$
%filter_setup
%endif

%global sha 9ff9acf9fa14
%global sha_rel .%{sha}
%global sha_ver -%{sha}


Name:		purple-facebook
Version:	0.9.5
Release:	1%{sha_rel}%{?dist}
Summary:	Facebook protocol plugin for purple2

License:	GPLv2+
URL:		https://github.com/dequis/%{name}
Source0:	%{url}/releases/download/v%{version}%{sha_ver}/%{name}-%{version}%{sha_ver}.tar.gz

BuildRequires:	json-glib-devel
BuildRequires:	libpurple-devel
BuildRequires:	zlib-devel

%description
Purple Facebook implements the Facebook Messenger protocol for pidgin,
finch, and libpurple.  While the primary implementation is for purple3,
this plugin is back-ported for purple2.


%prep
%autosetup -n %{name}-%{version}%{sha_ver}


%build
%configure			\
	--disable-silent-rules	\
	--enable-warnings
%make_build


%install
%make_install
%{__rm} -f %{buildroot}%{_libdir}/purple-2/libfacebook.*a


%check
%{__make} check


%files
%license AUTHORS COPYING debian/copyright
%doc ChangeLog README
%{_libdir}/purple-2/libfacebook.so


%changelog
* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 0.9.5-1.9ff9acf9fa14
- New upstream release (rhbz#1487200)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-6.c9b74a765767
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-5.c9b74a765767
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.9.4-4.c9b74a765767
- Rebuild due to bug in RPM (RHBZ #1468476)

* Thu Jun 15 2017 Björn Esser <besser82@fedoraproject.org> - 0.9.4-3.c9b74a765767
- Properly run %%filter_setup

* Thu Jun 15 2017 Björn Esser <besser82@fedoraproject.org> - 0.9.4-2.c9b74a765767
- Filter provides from plugins on el6, too

* Mon Jun 12 2017 Björn Esser <besser82@fedoraproject.org> - 0.9.4-1.c9b74a765767
- New upstream release (rhbz#1460505)
- Filter provides from plugins

* Thu Mar 30 2017 Björn Esser <besser82@fedoraproject.org> - 0.9.3-1.c9b74a765767
- New upstream release (rhbz#1437164)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.0.20160409-0.5.git66ee773
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Oct 16 2016 Björn Esser <fedora@besser82.io> - 0.0.0.20160409-0.4.git66ee773
- Initial import (rhbz 1385180)

* Sun Oct 16 2016 Björn Esser <fedora@besser82.io> - 0.0.0.20160409-0.3.git66ee773
- Minor change for building on el6 's!%%{_bindir}/echo!/bin/echo!'

* Sun Oct 16 2016 Björn Esser <me@besser82.io> - 0.0.0.20160409-0.2.git66ee773
- Move commit-sha to to Release-tag (rhbz 1385180)
- Update %%description 's!into pidgin!for pidgin!' (rhbz 1385180)

* Fri Oct 14 2016 Björn Esser <fedora@besser82.io> - 0.0.0.20160409.66ee77378d82-0.1
- Initial package (rhbz 1385180)
